function GroupAIStateBase:chk_say_teamAI_combat_chatter(unit)
	if not self:is_detection_persistent() then
		return
	end

	local drama_amount = self._drama_data.amount
	local frequency_lerp = drama_amount
	local delay = math.lerp(2, 0.5, frequency_lerp)
	local delay_t = self._teamAI_last_combat_chatter_t + delay

	if self._t < delay_t then
		return
	end

	local frequency_lerp_clamp = math.clamp(frequency_lerp^2, 0, 1)
	local chance = math.lerp(0.01, 0.1, frequency_lerp_clamp)

	if chance < math.random() then
		return
	end
	
	--this no longer plays directly on the player character and instead plays on the bots properly
	managers.dialog:queue_dialog("player_gen_battle_celebration", {
		skip_idle_check = true,
		instigator = unit
	})
end
